org.jetlang.remote.core

## Class ByteArraySerializer.Reader

- java.lang.Object
- - org.jetlang.remote.core.ByteArraySerializer.Reader

All Implemented Interfaces:
  ObjectByteReader

Enclosing class:
  ByteArraySerializer

    public static class ByteArraySerializer.Reader
    extends Object
    implements ObjectByteReader

### Constructor Summary

Constructors
Constructor and Description
`Reader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `readObject(String fromTopic, byte[] buffer, int offset, int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reader

    public Reader()

### Method Detail

#### readObject

    public Object readObject(String fromTopic,
                             byte[] buffer,
                             int offset,
                             int length)
                      throws IOException

Specified by:
  `readObject` in interface `ObjectByteReader`
Throws:
  `IOException`